Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.info.plugins
Class AbstractPropertyInfo

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.info.plugins.AbstractPropertyInfo

All Implemented Interfaces:
  Cloneable, org.jboss.util.JBossInterface, PropertyInfo

public class AbstractPropertyInfo
extends org.jboss.util.JBossObject
implements PropertyInfo

Property info.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock

Field Summary
`protected BeanInfo` | `beanInfo` The bean info
`protected org.jboss.reflect.spi.MethodInfo` | `getter` The getter
`protected String` | `name` The property name
`protected org.jboss.reflect.spi.MethodInfo` | `setter` The setter
`protected org.jboss.reflect.spi.TypeInfo` | `type` The type
`protected String` | `upperName` The upper property name

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractPropertyInfo()` Create a new property info
`AbstractPropertyInfo(String name)` Create a new property info
`AbstractPropertyInfo(String name, String upperName, org.jboss.reflect.spi.TypeInfo type, org.jboss.reflect.spi.MethodInfo getter, org.jboss.reflect.spi.MethodInfo setter)` Create a new property info

Method Summary
`boolean` | `equals(Object object)`
`BeanInfo` | `getBeanInfo()` Get the BeanInfo
`org.jboss.reflect.spi.MethodInfo` | `getGetter()` Get the getter
`int` | `getHashCode()`
`String` | `getName()` Get the property name
`org.jboss.reflect.spi.MethodInfo` | `getSetter()` Get the setter
`org.jboss.reflect.spi.TypeInfo` | `getType()` Get the type
`String` | `getUpperName()` Get the uppercase version of the property name
`void` | `setGetter(org.jboss.reflect.spi.MethodInfo getter)` Set the getter
`void` | `setSetter(org.jboss.reflect.spi.MethodInfo setter)` Set the setter
`void` | `setType(org.jboss.reflect.spi.TypeInfo type)`
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### beanInfo

    protected BeanInfo beanInfo

  The bean info

### name

    protected String name

  The property name

### upperName

    protected String upperName

  The upper property name

### type

    protected org.jboss.reflect.spi.TypeInfo type

  The type

### getter

    protected org.jboss.reflect.spi.MethodInfo getter

  The getter

### setter

    protected org.jboss.reflect.spi.MethodInfo setter

  The setter

Constructor Detail

### AbstractPropertyInfo

    public AbstractPropertyInfo()

  Create a new property info

### AbstractPropertyInfo

    public AbstractPropertyInfo(String name)

  Create a new property info

Parameters:
  `name` - the name

### AbstractPropertyInfo

    public AbstractPropertyInfo(String name,
                                String upperName,
                                org.jboss.reflect.spi.TypeInfo type,
                                org.jboss.reflect.spi.MethodInfo getter,
                                org.jboss.reflect.spi.MethodInfo setter)

  Create a new property info

Parameters:
  `name` - the name
  `type` - the type
  `getter` - the getter
  `setter` - the setter

Method Detail

### getBeanInfo

    public BeanInfo getBeanInfo()

  Description copied from interface: `PropertyInfo`
  Get the BeanInfo

  Specified by:
    `getBeanInfo` in interface `PropertyInfo`
  Returns:
    the bean info

### getName

    public String getName()

  Description copied from interface: `PropertyInfo`
  Get the property name

  Specified by:
    `getName` in interface `PropertyInfo`
  Returns:
    the name

### getUpperName

    public String getUpperName()

  Description copied from interface: `PropertyInfo`
  Get the uppercase version of the property name

  Specified by:
    `getUpperName` in interface `PropertyInfo`
  Returns:
    the name

### getType

    public org.jboss.reflect.spi.TypeInfo getType()

  Description copied from interface: `PropertyInfo`
  Get the type

  Specified by:
    `getType` in interface `PropertyInfo`
  Returns:
    the type

### setType

    public void setType(org.jboss.reflect.spi.TypeInfo type)

### getGetter

    public org.jboss.reflect.spi.MethodInfo getGetter()

  Description copied from interface: `PropertyInfo`
  Get the getter

  Specified by:
    `getGetter` in interface `PropertyInfo`
  Returns:
    the getter

### setGetter

    public void setGetter(org.jboss.reflect.spi.MethodInfo getter)

  Description copied from interface: `PropertyInfo`
  Set the getter

  Specified by:
    `setGetter` in interface `PropertyInfo`
  Parameters:
    `getter` - the getter

### getSetter

    public org.jboss.reflect.spi.MethodInfo getSetter()

  Description copied from interface: `PropertyInfo`
  Get the setter

  Specified by:
    `getSetter` in interface `PropertyInfo`
  Returns:
    the setter

### setSetter

    public void setSetter(org.jboss.reflect.spi.MethodInfo setter)

  Description copied from interface: `PropertyInfo`
  Set the setter

  Specified by:
    `setSetter` in interface `PropertyInfo`
  Parameters:
    `setter` - the setter

### equals

    public boolean equals(Object object)

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

### getHashCode

    public int getHashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.